Cisco IOS IPv6 Snooping DoS (cisco-sa-20150923-fhs)

high Nessus Plugin ID 86246

Synopsis

The remote device is missing vendor-supplied security patches.

Description

The remote Cisco IOS device missing vendor-supplied security patches, and is configured for IPv6 snooping. It is, therefore, affected by the following vulnerabilities :

- A flaw exists in the IPv6 Snooping feature due to missing Control Plane Protection (CPPr) protection mechanisms. An unauthenticated, remote attacker can exploit this to cause a saturation of IPv6 ND packets, resulting in a reboot of the device. (CVE-2015-6278)

- A flaw exists in the IPv6 Snooping feature due to improper validation of IPv6 ND packets that use the Cryptographically Generated Address (CGA) option. An unauthenticated, remote attacker can exploit this, via a malformed package, to cause a saturation of IPv6 ND packets, resulting in a device reboot. (CVE-2015-6279)

Solution

Upgrade to the relevant fixed version referenced in Cisco bug IDs CSCuo04400 and CSCus19794.

Alternatively, as a temporary workaround, disable IPv6 snooping and SSHv2 RSA-based user authentication.

See Also

http://www.nessus.org/u?8c8077d4

Plugin Details

Severity: High

ID: 86246

File Name: cisco-sa-20150923-fhs-ios.nasl

Version: 1.10

Type: combined

Family: CISCO

Published: 10/2/2015

Updated: 11/15/2018

Risk Information

VPR

Risk Factor: Low

Score: 3.4

CVSS v2

Risk Factor: High

Base Score: 7.8

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:C

Vulnerability Information

CPE: cpe:/o:cisco:ios

Required KB Items: Host/Cisco/IOS/Version

Patch Publication Date: 9/23/2015

Vulnerability Publication Date: 9/23/2015

Reference Information

CVE: CVE-2015-6278, CVE-2015-6279